Bug 1472888 (CVE-2017-1000050)

Summary: CVE-2017-1000050 jasper: NULL pointer exception in jp2_encode()
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bmcclain, cfergeau, dblechte, eedri, erik-fedora, jridky, lsurette, mgoldboi, michal.skrivanek, mike, rh-spice-bugs, rjones, srevivo, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jasper 2.0.13 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:17:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1434464, 1434465, 1434467, 1585830    
Bug Blocks: 1449402    

Description Andrej Nemec 2017-07-19 15:20:48 UTC
JasPer is vulnerable to a NULL pointer exception in the function jp2_encode which failed to check to see if the image contained at least one component resulting in a denial-of-service.

References:

http://www.openwall.com/lists/oss-security/2017/03/06/1

Comment 1 Andrej Nemec 2017-07-19 15:21:55 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1434464]


Created mingw-jasper tracking bugs for this issue:

Affects: epel-7 [bug 1434465]
Affects: fedora-all [bug 1434467]

Comment 2 Tomas Hoger 2017-08-24 12:11:00 UTC
Upstream bug report:

https://github.com/mdadams/jasper/issues/120

Upstream commit:

https://github.com/mdadams/jasper/commit/58ba0365d911b9f9dd68e9abf826682c0b4f2293

The fix is included in version 2.0.13.

This bug is in encoder, therefore applications that only use jasper to read JPEG2000 images are not affected, it only affects applications that read untrusted images and convert them to JPEG2000 format using jasper.

Comment 8 errata-xmlrpc 2018-10-30 07:54:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3253 https://access.redhat.com/errata/RHSA-2018:3253